    Set the cross sections used by X-Spec models.

set_xsxsect(name)
name - { 'bcmc', 'obcm', 'vern' }

Set the X-Spec photoelectric absorption cross-sections setting, which changes the cross-sections used by all X-Spec absorption models except for `XSwabs` . It is equivalent to the X-Spec xsect command [1] .

>>> set_xsxsect('vern') Cross Section Table set to vern: Verner, Ferland, Korista, and Yakovlev 1996

PARAMETERS

The parameter for this function is:

Parameter
Definition
name
The options are: 'bcmc' from [2] with a new He cross-section based on [3] ; 'obcm' which is, the same as 'bcmc', but with the He cross-section from [2] , or 'vern' [4] .

Notes

The screen output of this function is controlled by the X-Spec chatter setting ( `set_xschatter` ).

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSxsect.html Note that this may refer to a newer version than the compiled version used by Sherpa; use `get_xsversion` to check.
[2] Balucinska-Church & McCammon (1992; Ap.J.400, 699). https://adsabs.harvard.edu/abs/1992ApJ...400..699B
[3] Yan, M., Sadeghpour, H. R., Dalgarno, A. 1998, Ap.J. 496, 1044 https://adsabs.harvard.edu/abs/1998ApJ...496.1044Y
[4] Verner et. al., 1996, Ap.J., 465, 487. https://adsabs.harvard.edu/abs/1996ApJ...465..487V

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023